import React from "react";
type ErrorBoundaryProps = {
    children: React.ReactNode;
};
export declare class ErrorBoundary extends React.Component<ErrorBoundaryProps> {
    state: {
        hasError: boolean;
        error?: Error;
    };
    constructor(props: ErrorBoundaryProps);
    static getDerivedStateFromError(error: Error): {
        hasError: boolean;
        error: Error;
    };
    render(): React.ReactNode;
}
export {};
